getIssues
READGet issues.
POST /api/v1/quality/getIssues
curl -X POST '<your-host>/api/v1/quality/getIssues' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"approvalRequirements": [
"MRB"
],
"assignee": "string",
"closeDate": "string",
"companyId": "string",
"containmentStatus": "string",
"content": "…",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"description": "string",
"dueDate": "string",
"id": "string",
"items": [
"string"
],
"locationId": "string",
"name": "string",
"nonConformanceId": "string",
"nonConformanceTypeId": "string",
"nonConformanceWorkflowId": "string",
"openDate": "string",
"priority": "Low",
"quantity": 0,
"requiredActionIds": [
"string"
],
"source": "Internal",
"status": "Closed",
"tags": [
"string"
],
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}